[typo] Trouble installing on XP

g deathstar.endor at gmail.com
Wed Jul 9 21:04:14 EDT 2008


 From the installer.txt file, I'm trying to install (the short 
version).  My apologies if I'm missing something easy, I'm a total RoR 
newbie...

I'm getting an error during the second command: typo install ./typo

| Checking database
 Creating initial database
 expanding apache13.conf.example template
 expanding apache20.conf.example template
 expanding lighttpd.conf.example template
 Migrating Typo's database to newest release
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/typo-5.0.3.98.1
/bin/typo:59:in `migrate': Migration failed (RailsInstaller::InstallFailed)
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ra
ils-app-installer-0.2.0/lib/rails-installer.rb:689:in `in_directory'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ty
po-5.0.3.98.1/bin/typo:57:in `migrate'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ra
ils-app-installer-0.2.0/lib/rails-installer.rb:217:in `install_sequence'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ra
ils-app-installer-0.2.0/lib/rails-installer.rb:192:in `install'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ra
ils-app-installer-0.2.0/lib/rails-installer/commands.rb:95:in `command'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ra
ils-app-installer-0.2.0/lib/rails-installer.rb:646:in `execute_command'
        from 
D:/Development/projects/SimplyRails2/ruby/lib/ruby/gems/1.8/gems/ty
po-5.0.3.98.1/bin/typo:93
        from D:/Development/projects/SimplyRails2/ruby/bin/typo:19:in `load'
        from D:/Development/projects/SimplyRails2/ruby/bin/typo:19|


I've got InstantRails 2.0 on Windows XP SP2,
  Ruby -v 1.8.6 and gem -v 1.2.0...

What am I to do next?  Thanks.


More information about the Typo-list mailing list